com.brightcove.player.view

## Enum BrightcoveClosedCaptioningView.ClosedCaptioningMode

- java.lang.Object
- - java.lang.Enum<BrightcoveClosedCaptioningView.ClosedCaptioningMode>
  - - com.brightcove.player.view.BrightcoveClosedCaptioningView.ClosedCaptioningMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BrightcoveClosedCaptioningView.ClosedCaptioningMode>
  Enclosing class:
    BrightcoveClosedCaptioningView

      public static enum BrightcoveClosedCaptioningView.ClosedCaptioningMode
      extends java.lang.Enum<BrightcoveClosedCaptioningView.ClosedCaptioningMode>

  Specifies the type of captions being used currently.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OFF` There are no captions or captions have not been initialized yet.
    `ON` Indicates captions have been loaded, and are either DFXP/TTML or WEBVTT captions.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BrightcoveClosedCaptioningView.ClosedCaptioningMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BrightcoveClosedCaptioningView.ClosedCaptioningMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final BrightcoveClosedCaptioningView.ClosedCaptioningMode OFF

      There are no captions or captions have not been initialized yet.

    - #### ON

          public static final BrightcoveClosedCaptioningView.ClosedCaptioningMode ON

      Indicates captions have been loaded, and are either DFXP/TTML or WEBVTT captions.

  - ### Method Detail

    - #### values

          public static BrightcoveClosedCaptioningView.ClosedCaptioningMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BrightcoveClosedCaptioningView.ClosedCaptioningMode c : BrightcoveClosedCaptioningView.ClosedCaptioningMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BrightcoveClosedCaptioningView.ClosedCaptioningMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null